Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509.extension
Class SubjectKeyIdentifierStructure

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.SubjectKeyIdentifier
                  |
                  +--org.bouncycastle.x509.extension.SubjectKeyIdentifierStructure

All Implemented Interfaces:
  DEREncodable

public class SubjectKeyIdentifierStructure
extends SubjectKeyIdentifier

A high level subject key identifier.

Constructor Summary
`SubjectKeyIdentifierStructure(byte[] encodedValue)` Constructor which will take the byte[] returned from getExtensionValue()
`SubjectKeyIdentifierStructure(java.security.PublicKey pubKey)`

Methods inherited from class org.bouncycastle.asn1.x509.SubjectKeyIdentifier
`getInstance, getInstance, getKeyIdentifier, toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectKeyIdentifierStructure

    public SubjectKeyIdentifierStructure(byte[] encodedValue)
                                  throws java.io.IOException

  Constructor which will take the byte[] returned from getExtensionValue()
  Parameters:
    `encodedValue` - a DER octet encoded string with the extension structure in it.
  Throws:
    `java.io.IOException` - on parsing errors.

### SubjectKeyIdentifierStructure

    public SubjectKeyIdentifierStructure(java.security.PublicKey pubKey)
                                  throws java.security.cert.CertificateParsingException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD